
/*----------------------------- header -----------------------------*/
.h_top {
    width: 100%;
    height: 80px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 5;
    pointer-events: all;
}
.h_inner {
    width: 100%;
    height: 100%;
    padding: 0 40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
}
.logo {
    width: 200px !important;
    height: auto;
}
.logo figure {
    width: 100%;
}

.nav {
    width: fit-content;
    height: 100%;
    position: absolute;
    left: 0;
    right: 0;
    margin: 0 auto;
    opacity: 0;
    pointer-events: none;
    transition: opacity .2s ease;
}
.nav ul {
    height: 100%;
    display: flex;
    align-items: center;
    gap: 80px;
}
.nav li {
    height: 100%;
    transition: transform .3s ease;
}
.nav li:hover {
    transform: translateY(-4px);
}
.nav a {
    font-size: var(--ft20);
    font-weight: var(--medium);
    color: var(--white);
    display: flex;
    align-items: center;
    transition: color .3s ease;
}

.h_top.black .nav {
    opacity: 1;
    pointer-events: all;
}
.h_top.black .nav a {
    color: var(--gray-500);
}
.h_top.black {
    background-color: rgba(255, 255, 255, .5);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
}
/*-- quick_menu --*/
.quick_menu {
    position: fixed;
    right: 40px;
    bottom: 40px;
    z-index: 5;
    display: flex;
    flex-direction: column;
    align-items: end;
    gap: 10px;
    pointer-events: all;
}
.quick_sns {
    display: flex;
    flex-direction: column;
    align-items: end;
    gap: 10px;
}
.quick_btn,
.top_btn {
    width: 50px;
    height: 50px;
    border-radius: 25px;
    background-color: var(--white);
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    box-shadow: 0 0 10px rgb(0, 0, 0, 0.2);
    position: relative;
    transition: width .3s ease;
    overflow: hidden;
}
.quick_link {
    display: flex;
    justify-content: center;
    align-items: center;
}
.quick_img {
    width: 50px;
    height: 50px;
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}
.quick_img img {
    transition: opacity .2s ease;
}
.quick_img img:last-child {
    position: absolute;
}
.quick_img img:first-child {
    opacity: 0;
}
.quick_btn:hover img:first-child {
    opacity: 1;
}
.quick_btn:hover img:last-child {
    opacity: 0;
}
.quick_img img,
.top_btn img {
    width: 30px;
    height: 30px;
}

.quick_text {
    font-size: 14px;
    font-weight: var(--medium);
    position: absolute;
    left: 50px;
    opacity: 0;
    transition: all 0.3s ease;
    text-wrap: nowrap;
}
.quick_btn:hover {
    width: 160px;
}
.quick_btn:hover .quick_text {
    opacity: 1;
}


/*----------------------------- qr_popup -----------------------------*/
.chat_popup {
    cursor: pointer;
}
.qr_popup {
    width: 100%;
    height: 100dvh;
    padding: 20px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 15;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    pointer-events: none;
    transition: all .3s ease;
}
.qr_popup.active {
    opacity: 1;
    pointer-events: all;
}
body:has(.qr_popup.active) {
    overflow: hidden;
    height: 100%;
    min-height: 100%;
    touch-action: none;
}
.qr_popup_inner {
    width: 100%;
    max-width: 400px;
    height: auto;
    max-height: 80vh;
    padding-bottom: 60px;
    background-color: var(--white);
    border-radius: 4px; 
    position: relative;
    z-index: 1;
}
.qr_chat {
    width: 100%;
    height: 80px;
    background-color: var(--gray-500);
    border-radius: 0 0 4px 4px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
}
.qr_chat p {
    font-size: var(--ft24);
    font-weight: var(--semi-bold);
    color: var(--white);
}
.qr_img {
    padding: 80px;
    width: 100%;
    height: calc(100% - 80px);
}
.qr_img img {
    margin: 0 auto;
    object-fit: contain;
}

/*----------------------------- footer -----------------------------*/
.footer_left div .info p, 
.footer_left div .copy,
.footer .bizer_link,
.footer_left .recaptcha, 
.footer_left .recaptcha * {
    color: var(--gray-300);
}
.footer_right .select_menu.footer_location .sBtn_text {
    color: var(--white);
}

@media all and (max-width: 1600px) {
    /*-- header --*/
    .nav a {
        font-size: var(--ft18);
    }
}

@media all and (max-width: 1200px) {
    /*-- header --*/
    .logo {
        width: 180px !important;
    }
    .nav {
        position: relative;
        margin: 0;
    }
    .nav ul {
        gap: 60px;
    }

    /*-- qr_popup --*/
    .qr_popup_inner {
        padding-bottom: 60px;
    }
    .qr_img {
        height: calc(100% - 60px);
        padding: 60px;
    }
    .qr_chat {
        height: 60px;
    }
    .qr_chat p {
        font-size: var(--ft18);
    }
}

@media all and (max-width: 900px) {
    /*-- header --*/
    .h_top {
        height: 64px;
    }
    .h_inner {
        padding: 0 20px;
    }
    .logo {
        width: 140px !important;
    }
    .nav ul {
        gap: 30px;
    }
    .nav a {
        font-size: var(--ft16);
    }
    .quick_menu {
        bottom: 20px;
        right: 20px;
    }

    .quick_sns {
        width: 100%;
        height: 60px;
        background-color: var(--white);
        flex-direction: row;
        position: fixed;
        bottom: 0;
        left: 0;
    }
    .quick_btn {
        width: 100%;
        height: 100%;
        border-radius: 0;
        box-shadow: none;
        position: relative;
    }
    .quick_btn:hover {
        width: 100%;
    }
    .quick_btn::after {
        content: '';
        display: block;
        width: 1px;
        height: 30px;
        background-color: var(--dark-line);
        position: absolute;
        right: 0;
        top: 50%;
        transform: translateY(-50%);
    }
    .quick_btn:last-child:after {
        display: none;
    }
    .quick_link {
        flex-direction: column;
        gap: 0;
    }
    .quick_img {
        position: static;
        width: 24px;
        height: 24px;
    }
    .quick_img img {
        width: 24px;
        height: 24px;
    }
    .quick_img img:last-child {
        opacity: 1 !important;
    }
    .quick_img img:first-child {
        display: none;
    }
    .quick_text {
        font-size: 10px;
        opacity: 1;
        position: static;
    }
    .top_btn {
        width: 40px;
        height: 40px;
        position: fixed;
        bottom: 80px;
        right: 20px;
    }
}

@media all and (max-width: 600px) {
    /*-- header --*/
    .nav {
        display: none;
    }
}